saveAiVisualBoxInfo(params: SaveAiVisualBoxInfoParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Save Vision Box information
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Save request body of type SaveAiVisualBoxInfoParams. Top-level fields: family gid, inventory stockId, optional visionBoxId. |
Return Value
Type: Promise<SaveAiVisualBoxInfoResult>
Business result result; see SaveAiVisualBoxInfoResult for the type.
Referenced Types
type
SaveAiVisualBoxInfoResultThe data resolved by `universalRequestAtop` when `m.ipc.smart.vision.box.info.save` succeeds.
Corresponds to the `result` field in the minituya documentation: business result code, typically a `number` (e.g., `0` indicates success); in some environments it may be a string.enum
ReportType| Value | Actual Value | Description |
|---|---|---|
ReportType.DAILY | 1 | Daily report |
ReportType.WEEKLY | 2 | Weekly report |
enum
VisionEventType| Value | Actual Value | Description |
|---|---|---|
VisionEventType.PRESET | 0 | Preset event |
VisionEventType.CUSTOM | 1 | Custom event |
enum
SceneType| Value | Actual Value | Description |
|---|---|---|
SceneType.security | 0 | Security scenario |
SceneType.album | 1 | Gallery scenario |
Valid Values
AiVisualBoxInfoContent.visionBoxState
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
AiVisualBoxInfoContent.generateDescState
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ReportType
| Value | Description | Since |
|---|---|---|
1 | Daily report | - |
2 | Weekly report | - |
VisionEventType
| Value | Description | Since |
|---|---|---|
0 | Preset event | - |
1 | Custom event | - |
SceneType
| Value | Description | Since |
|---|---|---|
0 | Security scenario | - |
1 | Gallery scenario | - |